Skip to main content

Create or Override Buyer Details

PUT 

/buyers/{buyer-id}

Creates or overrides buyer details for subsequent transactions.

Request

Path Parameters

    buyer-id BuyerIdrequired

    Possible values: <= 255 characters

    Unique identifier of the customer in your system.

Body

required

An object containing buyer details

    processingEntityId uuidrequired

    Processing entityId provided by Nuvei.

    Example: 80aef199-b89a-4d59-ba0c-f2cd3c25d5cd

    buyerDetails

    object

    required

    firstName string

    Possible values: <= 30 characters

    middleName string

    Possible values: <= 40 characters

    lastName string

    Possible values: <= 40 characters

    companyName string

    Possible values: <= 100 characters

    locale string

    Possible values: <= 5 characters

    dateOfBirth date
    email string

    Possible values: <= 100 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    workPhone string

    Possible values: <= 18 characters

    identificationType Identification Type Code (string)

    Possible values: [DateOfBirth, CustomerId, NationalId, PassportNumber, DriverLicense, TaxId, CompanyRegistrationNumber, ProxyId, SocialSecurityNumber, AlienRegistrationNumber, LawEnforcementId, MilitaryId, TravelId, Email, PhoneNumber]

    identificationValue Identification Value (string)

    Possible values: <= 100 characters

    cardHolderEntityType Cardholder Entity Type (string)

    Possible values: [Business, Individual]

    nationalIdentificationNumber string

    Possible values: <= 25 characters

    accountReference BuyerAccountReference (string)

    Possible values: <= 34 characters

    billingAddress

    object

    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    street string

    Possible values: <= 100 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode stringrequired

    2 digits ISO country code

    Possible values: >= 2 characters and <= 2 characters

    phone string

    Possible values: <= 18 characters

    addressMatch boolean

    shippingAddress

    object

    sameAsBilling boolean
    Default value: false
    address string

    Possible values: <= 60 characters

    addressLine2 string

    Possible values: <= 60 characters

    addressLine3 string

    Possible values: <= 60 characters

    streetNumber string

    Possible values: <= 20 characters

    state string

    Possible values: <= 6 characters

    zip string

    Possible values: <= 10 characters

    city string

    Possible values: <= 30 characters

    countryCode string

    Possible values: >= 2 characters and <= 2 characters

    firstName string

    Possible values: <= 30 characters

    lastName string

    Possible values: <= 40 characters

    phone string

    Possible values: <= 18 characters

    phone2 string

    Possible values: <= 18 characters

    careOf string

    Name of the person/entity to whose care the shipment is addressed.

    salutation string

    Salutation used for the shipping recipient (e.g., Mr, Ms, Dr).

    ShippingTrackingDetails

    object

    customerNumber string

    Customer number associated with the shipment.

    addressType string

    Type of shipping address (e.g., residential, business).

    shippingType string

    Shipping method/type (e.g., standard, express).

    shippingCarrierName string

    Name of the shipping carrier.

    trackingId string

    Tracking identifier provided by the carrier.

    trackingUrl uri

    URL where tracking status can be viewed.

Responses

OK

Schema

    result

    object

    required

    status stringrequired

    Possible values: [success, error]

    errors

    object

    code string

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Unexpected error
    reference string

    Internal reference for troubleshooting

    Possible values: <= 400 characters

Loading...